﻿using System.Collections.ObjectModel;

namespace MaintainTileView_ScrollOffset
{
    public class ViewModel
    {
        public ObservableCollection<TileItem> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<TileItem>();
            PopulateData();
        }

        private void PopulateData()
        {
            for (int i = 0; i < 30; i++)
            {
                TileItem currrentItem = new TileItem();
                currrentItem.Header = "Header: " + i;
                currrentItem.Description = "Header 0 Content : " + i;
                Data.Add(currrentItem);
            }
        }
    }
}
